Bug 371661 - rhn-manage-channel-internal output should be usable as input, too
Summary: rhn-manage-channel-internal output should be usable as input, too
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend   
(Show other bugs)
Version: rhn500
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Amy Owens
URL:
Whiteboard: XPlanner-16306
Keywords:
Depends On: 428082
Blocks: 427534 427574
TreeView+ depends on / blocked
 
Reported: 2007-11-08 19:04 UTC by James Bowes
Modified: 2013-01-10 09:56 UTC (History)
2 users (show)

Fixed In Version: 5.0.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 21:29:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Bowes 2007-11-08 19:04:14 UTC
some of the columns come out as ids when they should be labels.

Comment 1 James Bowes 2008-01-03 15:19:07 UTC
To test:
  * get content management tools version 0.4.3 from brew:
http://brewweb.devel.redhat.com/brew/getfile?taskID=1092731&name=rhn-content-mgmt-0.4.3-1.noarch.rpm
  * dump the details of a channel into a file:
    rhn-manage-channel-internal --list --label rhel-i386-server-5 --user rhn-noc
> my-csv
    (enter password)
  * clean out the password prompt from the first line of the csv file.
  * modify a value in the csv file (say, the description)
  * use the csv to update the channel:
    rhn-manage-channel-internal --update --csv my-csv --commit --user rhn-noc
  * list the channel again to see that the details have been updated:
    rhn-manage-channel-internal --list --label rhel-i386-server-5


Note You need to log in before you can comment on or make changes to this bug.